<?php

use Illuminate\Support\Facades\Route;
use Modules\Statistic\Http\Controllers\HomeStatisticsController;
use Modules\Statistic\Http\Controllers\UserStatisticsController;

Route::prefix('statistic')->group(function(){
    //next
    // 用户统计
    Route::prefix('users')->group(function (){
        // 今天数据统计
        Route::any('today',[UserStatisticsController::class,'todayData']);
        // 历史充值统计
        Route::any('stats',[UserStatisticsController::class,'stats']);
        // 投手日充值列表
        Route::any('list',[UserStatisticsController::class,'list']);
        // 投手日充值列表汇总
        Route::any('list_statistics',[UserStatisticsController::class,'listStatistics']);
    });

    // 首页统计
    Route::any("home",[HomeStatisticsController::class,"statistics"]);

});
